include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - terraform.auto.yml

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
    - if: $CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS
      when: never
    - if: $CI_COMMIT_BRANCH

".vigigloo:terraform":
  image:
    name: hashicorp/terraform:1.5
